function traitement()
	{
		var errors = [];
		var alphaExp = /^[a-zA-Z]+$/;
		var numericExpression = /^[0-9]+$/;
		
		var email = document.getElementById('email').value;
		var identifiant = document.getElementById('identifiant').value;
		
		var password1 = document.getElementById('password1').value;
		var password2 = document.getElementById('password2').value;
		
		var telephone = document.getElementById('telephone').value;
		
		alert("Trace");
		
		
		if(email == "")
		{	 errors[errors.length] = "Vous devez saisir votre email.";
		  
 		}
 		else {   var trame= /^\w+([.-]\w+)*@\w+([.-]\w+)*\.\w{2,8}$/;
			 if(trame.test(email) == false )
			   { errors[errors.length] = "Votre email n'est pas valide.";
			    
			   }  
		     }
		
		
		if(identifiant == "")
		{	 errors[errors.length] = "Vous devez saisir un identifiant.";
			 
		   
 		}
 		else {
			   if ( identifiant.length <6 || identifiant.length >12 )
				{  errors[errors.length] = "L'identifiant doit comporter au moins 6 caractéres et 12 au plus.";
				   
		  		}
			 }
		
		if(password1 == "")
		{	 errors[errors.length] = "Vous devez saisir votre password.";
		        
		  
 		}
 		
 		else {
			   if ( password1.length <6 || password1.length >10 )
				{  errors[errors.length] = "Le password doit comporter au moins 6 caractéres et 10 au plus.";
				   
		  		}
			 }
 		
		     
		
		if(password2 == "")
		{	 errors[errors.length] = "Vous devez confirmer votre password.";
		         
		  
 		}
 		
 		else {
 		
 			 if ( password1 != password2)
				{  errors[errors.length] = "Le password n'est pas identique.";
				   
		  		}
		     }
		
		
		
		if(telephone == "")
		{	 errors[errors.length] = "Vous devez donner un numéro de téléphone.";
		         
		  
 		}
		
		else {  
			    if(!telephone.match(numericExpression))
		  	      { 
				    errors[errors.length] = "Votre numéro de téléphone n'est pas valide.";
				    
		          }
				  
				 else { 
				         if ( telephone.length <10 )
					   {  errors[errors.length] = "Votre numéro de téléphone n'est pas valide.";
					      
					   }
				      }
			 }
		
			 		
		
		
					
					
		if (errors.length > 0)
		{
		  reportErrors(errors);
		  return false;
		  
		}
	        else { 
	               alert(" Passage1");
			document.getElementById('valide').value="ok";
			alert(" Passage2");
			;return true;	
	             }	

		


		
	}
	
	
	function reportErrors(errors)
		{
		  var msg = "Veuillez apporter les corrections suivantes...\n";
		  for (var i = 0; i<errors.length; i++) 
		  {
			 var numError = i + 1;
		     msg += "\n" + numError + ". " + errors[i];
		  }
		 alert(msg);
		}
		